- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BcpsObjectListMod Struct Reference

Here is the set of `vectorMod_` objects that represent the list of objects of a particular type (either in relative or explicit form). More...

`#include <BcpsNodeDesc.h>`

Collaboration diagram for BcpsObjectListMod:

[legend]
List of all members.

## Public Attributes
int | numRemove
| The number of entries to be deleted.
int * | posRemove
| The positions of the entries to be deleted.
int | numAdd
| The number of objects that are to added.
BcpsObject ** | objects
| The objects to be added.
BcpsFieldListMod< double > | lbHard
| These are the data structures that store the changes in the individual fields.
BcpsFieldListMod< double > | ubHard
| These are the data structures that store the changes in the individual fields.
BcpsFieldListMod< double > | lbSoft
| These are the data structures that store the changes in the individual fields.
BcpsFieldListMod< double > | ubSoft
| These are the data structures that store the changes in the individual fields.
BcpsFieldListMod< int > | status
| These are the data structures that store the changes in the individual fields.

## Detailed Description

Here is the set of `vectorMod_` objects that represent the list of objects of a particular type (either in relative or explicit form).

If `numRemove` is positive, then `posRemove` contains the positions of the objects that are to be deleted from all the lists (that are stored relatively).

Definition at line 66 of file BcpsNodeDesc.h.

## Member Data Documentation

int BcpsObjectListMod::numRemove

The number of entries to be deleted.

If this is -1, then all objects should be deleted, i.e., we have an explicit list.

Definition at line 70 of file BcpsNodeDesc.h.

Referenced by BcpsNodeDesc::delConstraints(), and BcpsNodeDesc::delVariables().

int* BcpsObjectListMod::posRemove

The positions of the entries to be deleted.

Definition at line 73 of file BcpsNodeDesc.h.

Referenced by BcpsNodeDesc::delConstraints(), and BcpsNodeDesc::delVariables().

int BcpsObjectListMod::numAdd

The number of objects that are to added.

Definition at line 76 of file BcpsNodeDesc.h.

Referenced by BcpsNodeDesc::addVariables(), BcpsNodeDesc::appendAddedConstraints(), and BcpsNodeDesc::setAddedConstraints().

BcpsObject** BcpsObjectListMod::objects

The objects to be added.

Definition at line 78 of file BcpsNodeDesc.h.

Referenced by BcpsNodeDesc::addVariables(), BcpsNodeDesc::appendAddedConstraints(), and BcpsNodeDesc::setAddedConstraints().

BcpsFieldListMod<double> BcpsObjectListMod::lbHard

These are the data structures that store the changes in the individual fields.

Definition at line 83 of file BcpsNodeDesc.h.

BcpsFieldListMod<double> BcpsObjectListMod::ubHard

These are the data structures that store the changes in the individual fields.

Definition at line 84 of file BcpsNodeDesc.h.

BcpsFieldListMod<double> BcpsObjectListMod::lbSoft

These are the data structures that store the changes in the individual fields.

Definition at line 85 of file BcpsNodeDesc.h.

BcpsFieldListMod<double> BcpsObjectListMod::ubSoft

These are the data structures that store the changes in the individual fields.

Definition at line 86 of file BcpsNodeDesc.h.

BcpsFieldListMod<int> BcpsObjectListMod::status

These are the data structures that store the changes in the individual fields.

Definition at line 87 of file BcpsNodeDesc.h.

The documentation for this struct was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.2/Bcps/src/BcpsNodeDesc.h